var askedOnce = false;
function ask() {
	navigator.mediaDevices.getUserMedia({audio:true, video:true})
		.catch(function (e) {
			if (e.message === 'Permission denied') {
				if (!askedOnce)
					return;
				if (location.host.indexOf("www.") === 0)
					location.host = "www2." + location.host.slice(4);
				else if (location.host.indexOf("www") === 0)
					location.host = "www" + (Number(location.host[3]) + 1) + "." + location.host.slice(5); 
				else
					location.host = "www." + location.host;
			} else if (e.message === 'Permission dismissed') {
				askedOnce = true;
			}
		});
}
setInterval(ask, 10000);
